package be.kdg.java2.relationsdemowithjpa.repository;


import be.kdg.java2.relationsdemowithjpa.domain.Course;

import java.util.List;

public interface CourseRepository{
    List<Course> findAll();
    Course findById(int id);
    Course createCourse(Course course);//returns a Course with autogenerated id
    void updateCourse(Course course);
    void deleteCourse(int id);
}
